plugins {
    id 'com.android.application'
}

android {
    namespace 'com.tomas.ht_mast'
    compileSdk 33

    defaultConfig {
        applicationId "com.tomas.ht_mast"
        minSdk 28
        targetSdk 33
        versionCode 1
        versionName "2.0.1"

/*
* =====================================
* Changed notes:
* =====================================
*
* Version 1.2.0: [2024-02-15]
*  - support ETG label
*  - Stocktaking new version.
*  - fix bug change location --> json put error
*  - fix bug stock check --> can't click OK after first search.
*
* Version 1.2.1: [2024-02-16]
*   - add show order no.
*   - add search part no. from schedule.
*   - stocktaking not need check location.
*
* Version 1.2.2: [2024-02-16]
*   - stocktaking not need check label status.
*
* Version 1.2.3: [2024-02-16]
*   - fix stocktaking.
*       - sent location scan.
*       - change act_stock_qty --> issue_stock_qty
*
* Version 1.2.5 [2024-02-16]
*   - fix bug total outbound schedule.
*   - add function edit total outbound manual.
*
* * Version 1.3.0 [2024-02-19]
*   - new version outbound schedule.
*   - fix bug filter outbound schedule.
*
* * * Version 1.3.1 [2024-02-19]
*   - fix bug alert print label.
*
* * * * Version 1.3.3 [2024-02-19]
*   - change float --> double
*
* * * * * Version 1.3.4 [2024-02-19]
*   - convert unit qty.
*   - new function outbound manual.
*
** * * * * Version 1.3.6 [2024-03-05]
*   - order ETG can be scan over plan.
*   - change dialog.cancel(); --> dialog.dismiss();
*   - OutboundDetail_Activity change condition for Repack on line:1163
*       From : >> if (!Utils.CompareDouble(pick_qty, act_stock_qty)) {
        To: >> if (pre_act_qty > plan_qty){
*
* * * * * Version 1.3.7 [2024-03-06]
*   - add sending_ticket for fix duplicate
*   - All page change to --> confirm --> finish
*
** * * * * Version 1.3.8 [2024-03-09]
*   - add show unit on label function
*
*** * * * * Version 1.3.9 [2024-03-11]
*   - if(!isFinishing()) before alert confirm label [LabelDetail_Activity]
*
*
* *** * * * * Version 1.3.10 [2024-03-11]
*   -change Thread.sleep(3000);
*   -add tyr catch Alert confirm label
*
* * *** * * * * Version 1.3.11 [2024-03-13]
*   -if (sending_ticket.get(0) == 0) {
//            return;
            finish();
        }
** * *** * * * * Version 1.3.12 [2024-03-13]
*   -  p'pump แก้ไข
*
*
*
*
*
* ** * *** * * * * Version 1.3.14 [2024-07-25]
*   -  p'pump แก้ไข
*   stock check
*       add lot
*   chang location
*       add location fix
*
*
* * ** * *** * * * * Version 1.3.15 [2024-07-25]
*   -  p'pump แก้ไข
*   stock check
*      search part
*   chang location
*       check location fix
*
* * * ** * *** * * * * Version 2.0.1 [2025-02-01]
*   -  Handy for DC,PO,PAINT Department
*
*
 */
 

testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
}

buildTypes {
release {
   minifyEnabled false
   proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
}
}
compileOptions {
sourceCompatibility JavaVersion.VERSION_1_8
targetCompatibility JavaVersion.VERSION_1_8
}
}

dependencies {

implementation 'androidx.appcompat:appcompat:1.6.1'
implementation 'com.google.android.material:material:1.5.0'
implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
testImplementation 'junit:junit:4.13.2'
androidTestImplementation 'androidx.test.ext:junit:1.1.5'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
implementation 'com.github.f0ris.sweetalert:library:1.6.2'
implementation "androidx.swiperefreshlayout:swiperefreshlayout:1.2.0-alpha01"
implementation files('libs/sdk.jar')
implementation files('libs/commons-net-3.8.0.jar')
}